org.jfree.data.time.ohlc

## Class OHLCItem

- java.lang.Object
- - org.jfree.data.ComparableObjectItem
  - - org.jfree.data.time.ohlc.OHLCItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class OHLCItem
    extends ComparableObjectItem

An item representing data in the form (period, open, high, low, close).

Since:
  1.0.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OHLCItem(RegularTimePeriod period, double open, double high, double low, double close)` Creates a new instance of `OHLCItem`.

### Method Summary

Methods
`double` `getCloseValue()` Returns the close value.
`double` `getHighValue()` Returns the high value.
`double` `getLowValue()` Returns the low value.
`double` `getOpenValue()` Returns the open value.
`RegularTimePeriod` `getPeriod()` Returns the period.
`double` `getYValue()` Returns the y-value.

### Methods inherited from class org.jfree.data.ComparableObjectItem

`clone, compareTo, equals, getComparable, getObject, hashCode, setObject`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OHLCItem

    public OHLCItem(RegularTimePeriod period,
            double open,
            double high,
            double low,
            double close)

Creates a new instance of `OHLCItem`.

Parameters:
  `period` - the time period.
  `open` - the open-value.
  `high` - the high-value.
  `low` - the low-value.
  `close` - the close-value.

### Method Detail

#### getPeriod

    public RegularTimePeriod getPeriod()

Returns the period.

Returns:
  The period (never `null`).

#### getYValue

    public double getYValue()

Returns the y-value.

Returns:
  The y-value.

#### getOpenValue

    public double getOpenValue()

Returns the open value.

Returns:
  The open value.

#### getHighValue

    public double getHighValue()

Returns the high value.

Returns:
  The high value.

#### getLowValue

    public double getLowValue()

Returns the low value.

Returns:
  The low value.

#### getCloseValue

    public double getCloseValue()

Returns the close value.

Returns:
  The close value.